This text compositor uses a Flash TextField to render system- or embedded fonts into a texture.

You typically don't have to instantiate this class. It will be used internally by Starling's text fields.

### Hierarchy

- TrueTypeCompositor

### Implements

- ITextCompositor

## Index

### Constructors

- constructor

### Methods

- clearMeshBatch
- dispose
- fillMeshBatch
- getDefaultMeshStyle

## Constructors

### constructor

- new TrueTypeCompositor(): TrueTypeCompositor

- - Defined in lib/starling/text/TrueTypeCompositor.d.ts:23

  Creates a new TrueTypeCompositor instance.

  #### Returns TrueTypeCompositor

## Methods

### clearMeshBatch

- clearMeshBatch(meshBatch: MeshBatch): void

- - Defined in lib/starling/text/TrueTypeCompositor.d.ts:35
  inheritdoc

  #### Parameters

  - ##### meshBatch: MeshBatch

  #### Returns void

### dispose

- dispose(): void

- - Defined in lib/starling/text/TrueTypeCompositor.d.ts:28
  inheritdoc

  #### Returns void

### fillMeshBatch

- fillMeshBatch(meshBatch: MeshBatch, width: number, height: number, text: string, format: TextFormat, options?: TextOptions): void

- - Defined in lib/starling/text/TrueTypeCompositor.d.ts:31
  inheritdoc

  #### Parameters

  - ##### meshBatch: MeshBatch

  - ##### width: number

  - ##### height: number

  - ##### text: string

  - ##### format: TextFormat

  - ##### Optional options: TextOptions

  #### Returns void

### Protected getDefaultMeshStyle

- getDefaultMeshStyle(previousStyle: MeshStyle, format: TextFormat, options: TextOptions): MeshStyle

- - Defined in lib/starling/text/TrueTypeCompositor.d.ts:38

  #### Parameters

  - ##### previousStyle: MeshStyle

  - ##### format: TextFormat

  - ##### options: TextOptions

  #### Returns MeshStyle

Generated using TypeDoc